Class | Chef::EncryptedDataBagItem::Decryptor::Version0Decryptor
In: | lib/chef/encrypted_data_bag_item.rb
Parent: | Object

### Methods

decrypted_data encrypted_bytes for_decrypted_item new openssl_decryptor

### Attributes

encrypted_data | [R] |
key | [R] |

### Public Class methods

new(encrypted_data, key)

### Public Instance methods

decrypted_data()
encrypted_bytes()
for_decrypted_item()
openssl_decryptor()

[Validate]